@import "src/app/app.component";

.events-content-padding {
  padding: 20px 5vw;

  //a really fancy way of saying "calc(100% - $header-height), but necessary because of Sass.
  min-height: unquote("calc(100% - #{$header-height})");

  overflow-y: auto;
}

@media only screen and (min-width: 600px) {
  .events-content-padding {
    height: 100vh - $header-height;
    padding: 20px 20vw;
  }
}

@media only screen and (min-width: 900px) {
  .events-content-padding {
    height: 100vh - $header-height;
    padding: 20px 30vw;
  }
}

.event-card-container {
  display: flex;
  flex-flow: row wrap;
  justify-content: flex-start;
}

app-event-card {
  width: 100%;
  margin-right: 1em;
}

button[mat-fab] {
  position: fixed;
  z-index: 9999;
  top: 85%;
  left: 70%;
}

@media only screen and (min-width: 721px) {
  app-event-card {
    width: calc(50% - 1em);
    margin-right: 1em;
  }
}

@media only screen and (min-width: 1081px) {
  app-event-card {
    width: calc(33% - 1em);
    margin-right: 1em;
  }

  button[mat-fab] {
    transform: scale(1.25);
    left: 90%;
  }
}
